#include <iostream>
#include <cstdlib>

using namespace std;

int
main(int argc, char ** argv)
{
   if(argc == 2) {
      int i = atoi(argv[1]);
      unsigned int * p = (unsigned int*)&i;
      cout << hex << *p << endl;
   }
}
